unit WaterCircleDemoMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, WaterCircle;

const
  DropDelay = 1; //    0

type
  TForm1 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
  private
    WaterCircle: TWaterCircle;
    Step: Integer;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
  DoubleBuffered := True;
  WaterCircle := TWaterCircle.Create(Image1.Picture.Bitmap);
  WaterCircle.Puissance := 800;
  Step := 0;
  Timer1.Enabled := true;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Timer1.Enabled := false;
  WaterCircle.Free;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Inc(Step);
  if (Step mod DropDelay) = 0 then
    WaterCircle.Drop(Random(Image1.Picture.Bitmap.Width), Random(Image1.Picture.Bitmap.Height));
  WaterCircle.DrawImage(Image1.Picture.Bitmap);
  Image1.Refresh;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  WaterCircle.Drop(X, Y);
end;

procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  WaterCircle.Drop(X, Y);
end;

end.
